function res = mtimes(a,b)
%(c) Cao Xue, May 2009
if isa(a,'Wavelet_mdwt') == 0
    error('In  A.*B only A can be Wavelet operator');
end

if a.adjoint
    if isreal(b)
        res = midwt(b,a.qmf,a.wavScale);
    else
        res = midwt(real(b),a.qmf,a.wavScale)+1i*midwt(imag(b),a.qmf,a.wavScale);
    end
else
    if isreal(b)
        res = mdwt(b,a.qmf,a.wavScale);
    else
%         disp('complex WT...')
        res = mdwt(real(b),a.qmf,a.wavScale)+1i*mdwt(imag(b),a.qmf,a.wavScale);
    end
end
