function cp=RLNE(true,estimated,supress_value)
%% Relative L2 norm error
%% Xiaobo Qu
%% Xiamen University
%% Email: quxiaobo@xmu.edu.cn
%% Feb. 08, 2012
%% See the following references for the definition of RLNE
%% [1]Xiaobo Qu, Di Guo, Xue Cao, Shuhui Cai, Zhong Chen. Reconstruction of self-sparse 2D NMR spectra from undersampled data in the indirect dimension, Sensors, 11(9):8888-8909,2011.
true=set_min(true,supress_value);
estimated=set_min(estimated,supress_value);
cp=norm(true(:)-estimated(:))/norm(true(:));
